<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
?>
<script type="text/javascript">
  document.location.href = "login.php";
</script>
<?php
}
$page_title = 'Чат отряда';
require_once('conf/head.php');
require_once('conf/top.php');
$log_id=abs(intval($_SESSION['id']));
$dbc->query("update users set location = 'clanchat', clanmes = '0' where id = '$log_id' limit 1");
$query_out = "Select clan, clan_rang, nick from users where id = '$log_id'";
$result_out = mysqli_query($dbc, $query_out) or die ('Ошибка передачи запроса к БД');
$row_out = mysqli_fetch_array($result_out);
if ($row_out['clan'] == 0) {
?>
<script type="text/javascript">
  document.location.href = "index.php";
</script>
<?php
exit();
}

//Панель заготовок:)

$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();
$clun =$usst['clan'];
$rang =$usst['clan_rang'];

if(!isset($usst['id'])){header('location: ?');}
function userF($id){
global $dbc;
$user=$dbc->query("SELECT * FROM`users` WHERE`id`='$id' LIMIT 1")->fetch_assoc();
$g=$user['clan_rang'];
if($g=='1'){$clan_rang='<img src="/img/rangs/rekryton.png" height="12" width="12"/>';}elseif($g=='2'){$clan_rang='<img src="/img/rangs/ryadovoyon.png" height="12" width="12"/>';}elseif($g=='3'){$clan_rang='<img src="/img/rangs/serjanton.png" height="12" width="12"/>';}elseif($g=='4'){$clan_rang='<img src="/img/rangs/leitenanton.png" height="12" width="12"/>';}elseif($g=='5'){$clan_rang='<img src="/img/rangs/kapitanon.png" height="12" width="12"/>';}elseif($g=='6'){$clan_rang='<img src="/img/rangs/mayoron.png" height="12" width="12"/>';}elseif($g=='7'){$clan_rang='<img src="/img/rangs/polkovnikon.png" height="12" width="12"/>';}elseif($g=='8'){$clan_rang='<img src="/img/rangs/generalon.png" height="12" width="12"/>';}elseif($g=='9'){$clan_rang='<img src="/img/rangs/lideron.png" height="12" width="12"/>';}
$last_active = $user['last_active'];$last_active = strtotime("$last_active");$now = (date("Y-m-d H:i:s"));$now = strtotime("$now");$ont = ($now - $last_active);
if($ont<300){$onl='<img src="/img/ico/on.png" height="12" width="12"/>';}else{$onl='<img src="/img/ico/off.png" height="12" width="12"/>';}
global $clun;if($user['clan']==$clun){return $onl. $clan_rang.'<a style="text-decoration:none;" href="/profile.php?id='.$user['id'].'"> '.$user['nick'].'</a>';}
}
function msg($id,$cl){
global $dbc;
$q=$dbc->query("SELECT * FROM `sgchat` WHERE`id`='$id' and `clan`='$cl'")->fetch_assoc();
$q['msg']=$q['msg'];
$q['msg']=htmlspecialchars("".$q['msg']."",ENT_QUOTES);
$text=$q['msg'];
$g=$user['clan_rang'];
$f=fopen('chat_smile.php','r+');$t=fgets($f);eval($t);fclose($f);
$q['msg']=$text;
if($q['komy']>=1){
$us=$dbc->query("SELECT * FROM `users` WHERE`id`='$q[komy]'")->fetch_assoc();
global $_SESSION;
if($q['komy']==$_SESSION['id']){$col='tomato';$b='<b>';$bb='</b>';}else{$col='orange';}
$q['msg']='<font color='.$col.'>'.$b.''.$us['nick'].': '.$bb.'</font>'.$q['msg'];
}
if($q['rang']==9){
$msg='<p class="yellow">'.smile($q['msg']).'</font>';

}elseif($q['rang']==8){$msg='<span class="bonus">'.smile($q['msg']).'</span>';
}else{$msg=''.smile($q['msg']).'</font>';
}
return $msg;
}
function displayTime($time = NULL) {
if(!$time) $time = time();

$data = date('j.n.y', $time);
if($data == date('j.n.y')) $res = 'Сегодня в '. date('G:i', $time);
elseif($data == date('j.n.y', time() - 86400)) $res = 'Вчера в '. date('G:i', $time);

else {
$m = array('0',
'Янв', 'Фев', 
'Мар', 'Апр', 'Май', 
'Июн', 'Июл', 'Авг', 
'Сен', 'Окт', 'Ноя', 
'Дек');
$res = date('j '. $m[date('n', $time)] .' Y в G:i', $time);
}

return $res;
}
//------//


$act=intval($_GET['pu']);
switch($act){
default:

if($usst['admin']==1){
echo'<p class="zx">';
echo'<a style="text-decoration:none;" class="red" href="?orit">Очистить чат</a><p class="zx">';
if(isset($_GET['orit'])){
$dbc->query("TRUNCATE TABLE `sgchat`");
$msg='Чат почищен:)';
$adm=$usst['admin'];
$rang=$usst['clan_rang'];
$dbc->query("INSERT INTO `sgchat` VALUES('*','$msg','$time','$otv','$adm','$rang','$usid',$clun)");
header('location: ?');
}
}
?>
<center><p class="profile">Почта отряда</p></center>
<div class="stats">
<?php
if(isset($_GET['otv'])){
$id=intval($_GET['otv']);
$us=$dbc->query("SELECT `nick` FROM`users` WHERE`id`='$id' LIMIT 1")->fetch_assoc();
echo'<center>Сообщение  к<font color=orange> '.$us['nick'].'</font></center>';
}
echo ("<center> <form action='?pu=015&otv=$_GET[otv]' method='post'><textarea rows='2' style='width:98%; height:40px;' cols='35px' name='msg' placeholder='Введите сообщение...' autofocus required></textarea><br/><div class='knopka'>
<input type='submit' style='width:33%; height:25px;' class='input' value='Отправить' name='addad' accesskey='ы'/>
");echo('<span><a href="smile.php"><img src="img/smiles/smile.gif" width="20" height="24"/></a> <a href="chatcompany.php"><img src="img/ico/icon-refresh.png" width="22" height="22"/></a></span></form></center>');


include_once 'nav_class.php';

//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`sgchat` WHERE`clan`='$clun'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
//----------//
$q=$dbc->query("SELECT * FROM `sgchat` ORDER BY`id` DESC LIMIT $str,$nstr"); //Запрос в бд
while($ch=$q->fetch_assoc()){ //Цикл ))
if($ch['clan']==$clun){echo "<p style='border-top: dashed #444e4f 1px;'> </p>".userF($ch['usid']).' ('.displayTime($ch['time']).')'.' <a href="?otv='.$ch['usid'].'"><img src="img/post-reply.png" width="55" height="23"/></a><br/>'.msg($ch['id'],$clun)."";}
}

if($count=='0'){echo'<p class="zx">Сообщений в чате нет!<p class="zx">';}
$pages->print_nav('&'); //Навигация гг
break;

case '015':
$msg=$_POST['msg'];
$usid=intval($_SESSION['id']);

$otv=intval($_GET['otv']);
$adm=intval($usst['admin']);

$time=time();
if(strlen($msg)>1){
$dbc->query("INSERT INTO `sgchat` VALUES('*','$msg','$time','$otv','$adm','$rang','$usid','$clun')");
$dbc->query("update `users` set `clanmes` =`clanmes` +1  where `id`<> '$usid' and `clan`= '$clun'");
header('location: ?');
}else{echo'<p class="zx">Ошибка!Мало букав:)<p class="zx">';}
break;





}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>